local key = ModPath .. "    " .. RequiredScript
if _G[key] then return else _G[key] = true end

local PlayerStandard__add_unit_to_char_table = PlayerStandard._add_unit_to_char_table

function PlayerStandard:_add_unit_to_char_table(char_table, unit, unit_type, ...)
    if (unit_type == 1 and unit:anim_data() and unit:anim_data().tied) or (unit_type == 3 and not (unit:interaction() and unit:interaction():active())) or (unit_type == 4 and unit:character_damage() and unit:character_damage()._shield_health == 0) then
        return
    end
    
    PlayerStandard__add_unit_to_char_table(self, char_table, unit, unit_type, ...)
end

local PlayerStandard__get_interaction_target = PlayerStandard._get_interaction_target

function PlayerStandard:_get_interaction_target(char_table, ...)
    local prime_target = PlayerStandard__get_interaction_target(self, char_table, ...)
    
    if prime_target and prime_target.unit_type ~= 2 then
        for _, c in pairs(char_table) do
            if c.unit_type == 0 and c.unit:brain() and c.unit:brain()._current_logic_name == "intimidated" then
                prime_target = c
                break
            end
        end
    end
    
    return prime_target
end